Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -20235,54 +34241,54 @@
   Tag Name                                      Writable
   --------                                      --------
-  CommonNetworkRelLink                          N
-  CommonPathSuffix                              N
-  DeviceName                                    N
-  DriveSerialNumber                             N
-  DriveType                                     N
-  LocalBasePath                                 N
-  NetName                                       N
-  NetProviderType                               N
-  VolumeID                                      N
-  VolumeLabel                                   N
+  CommonNetworkRelLink                          no
+  CommonPathSuffix                              no
+  DeviceName                                    no
+  DriveSerialNumber                             no
+  DriveType                                     no
+  LocalBasePath                                 no
+  NetName                                       no
+  NetProviderType                               no
+  VolumeID                                      no
+  VolumeLabel                                   no
 
 =head3 LNK UnknownData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
 
 =head3 LNK ConsoleData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      8    FillAttributes                       N
-     10    PopupFillAttributes                  N
-     12    ScreenBufferSize                     N
-     16    WindowSize                           N
-     20    WindowOrigin                         N
-     32    FontSize                             N
-     36    FontFamily                           N
-     40    FontWeight                           N
-     44    FontName                             N
-    108    CursorSize                           N
-    112    FullScreen                           N
-    116    QuickEdit                            N
-    120    InsertMode                           N
-    124    WindowOriginAuto                     N
-    128    HistoryBufferSize                    N
-    132    NumHistoryBuffers                    N
-    136    RemoveHistoryDuplicates              N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    FillAttributes                       no
+     10    PopupFillAttributes                  no
+     12    ScreenBufferSize                     no
+     16    WindowSize                           no
+     20    WindowOrigin                         no
+     32    FontSize                             no
+     36    FontFamily                           no
+     40    FontWeight                           no
+     44    FontName                             no
+    108    CursorSize                           no
+    112    FullScreen                           no
+    116    QuickEdit                            no
+    120    InsertMode                           no
+    124    WindowOriginAuto                     no
+    128    HistoryBufferSize                    no
+    132    NumHistoryBuffers                    no
+    136    RemoveHistoryDuplicates              no
 
 =head3 LNK TrackerData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     16    MachineID                            N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     16    MachineID                            no
 
 =head3 LNK ConsoleFEData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      8    CodePage                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    CodePage                             no
 
 =head2 Font Tags
@@ -20297,8 +34303,8 @@
   'PFM'        PFMHeader                        Font PFM
   'PSInfo'     PSFontInfo                       Font PSInfo
-  'fontname'   FontName                         N
+  'fontname'   FontName                         no
   'name'       Name                             Font Name
-  'numfonts'   NumFonts                         N
-  'postfont'   PostScriptFontName               N
+  'numfonts'   NumFonts                         no
+  'postfont'   PostScriptFontName               no
 
 =head3 Font AFM Tags
@@ -20308,22 +34314,22 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Ascender'           Ascender                 N
-  'CapHeight'          CapHeight                N
-  'CharacterSet'       CharacterSet             N
-  'Characters'         Characters               N
-  'Creation Date'      CreateDate               N
-  'Descender'          Descender                N
-  'EncodingScheme'     EncodingScheme           N
-  'EscChar'            EscChar                  N
-  'FamilyName'         FontFamily               N
-  'FontName'           FontName                 N
-  'FullName'           FullName                 N
-  'IsBaseFont'         IsBaseFont               N
-  'IsFixedV'           IsFixedV                 N
-  'MappingScheme'      MappingScheme            N
-  'Notice'             Notice                   N
-  'Version'            Version                  N
-  'Weight'             Weight                   N
-  'XHeight'            XHeight                  N
+  'Ascender'           Ascender                 no
+  'CapHeight'          CapHeight                no
+  'CharacterSet'       CharacterSet             no
+  'Characters'         Characters               no
+  'Creation Date'      CreateDate               no
+  'Descender'          Descender                no
+  'EncodingScheme'     EncodingScheme           no
+  'EscChar'            EscChar                  no
+  'FamilyName'         FontFamily               no
+  'FontName'           FontName                 no
+  'FullName'           FullName                 no
+  'IsBaseFont'         IsBaseFont               no
+  'IsFixedV'           IsFixedV                 no
+  'MappingScheme'      MappingScheme            no
+  'Notice'             Notice                   no
+  'Version'            Version                  no
+  'Weight'             Weight                   no
+  'XHeight'            XHeight                  no
 
 =head3 Font PFM Tags
@@ -20331,30 +34337,30 @@
 Tags extracted from the PFM file header.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    PFMVersion                           N
-      6    Copyright                            N
-     66    FontType                             N
-     68    PointSize                            N
-     70    YResolution                          N
-     72    XResolution                          N
-     74    Ascent                               N
-     76    InternalLeading                      N
-     78    ExternalLeading                      N
-     80    Italic                               N
-     81    Underline                            N
-     82    Strikeout                            N
-     83    Weight                               N
-     85    CharacterSet                         N
-     86    PixWidth                             N
-     88    PixHeight                            N
-     90    PitchAndFamily                       N
-     91    AvgWidth                             N
-     93    MaxWidth                             N
-     95    FirstChar                            N
-     96    LastChar                             N
-     97    DefaultChar                          N
-     98    BreakChar                            N
-     99    WidthBytes                           N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PFMVersion                           no
+      6    Copyright                            no
+     66    FontType                             no
+     68    PointSize                            no
+     70    YResolution                          no
+     72    XResolution                          no
+     74    Ascent                               no
+     76    InternalLeading                      no
+     78    ExternalLeading                      no
+     80    Italic                               no
+     81    Underline                            no
+     82    Strikeout                            no
+     83    Weight                               no
+     85    CharacterSet                         no
+     86    PixWidth                             no
+     88    PixHeight                            no
+     90    PitchAndFamily                       no
+     91    AvgWidth                             no
+     93    MaxWidth                             no
+     95    FirstChar                            no
+     96    LastChar                             no
+     97    DefaultChar                          no
+     98    BreakChar                            no
+     99    WidthBytes                           no
 
 =head3 Font PSInfo Tags
@@ -20364,17 +34370,17 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Copyright'          Copyright                N
-  'FSType'             FSType                   N
-  'FamilyName'         FontFamily               N
-  'FontName'           FontName                 N
-  'FontType'           FontType                 N
-  'FullName'           FullName                 N
-  'ItalicAngle'        ItalicAngle              N
-  'Notice'             Notice                   N
-  'UnderlinePosition'  UnderlinePosition        N
-  'UnderlineThickness' UnderlineThickness       N
-  'Weight'             Weight                   N
-  'isFixedPitch'       IsFixedPitch             N
-  'version'            Version                  N
+  'Copyright'          Copyright                no
+  'FSType'             FSType                   no
+  'FamilyName'         FontFamily               no
+  'FontName'           FontName                 no
+  'FontType'           FontType                 no
+  'FullName'           FullName                 no
+  'ItalicAngle'        ItalicAngle              no
+  'Notice'             Notice                   no
+  'UnderlinePosition'  UnderlinePosition        no
+  'UnderlineThickness' UnderlineThickness       no
+  'Weight'             Weight                   no
+  'isFixedPitch'       IsFixedPitch             no
+  'version'            Version                  no
 
 =head3 Font Name Tags
@@ -20382,51 +34388,204 @@
 The following tags are extracted from the TrueType font "name" table found
 in OTF, TTF, TTC and DFONT files.  These tags support localized languages by
-adding a hyphen followed by a language code to the end of the tag name (ie.
-"Copyright-fr" or "Licence-en-US").  Tags with no language code use the
+adding a hyphen followed by a language code to the end of the tag name (eg.
+"Copyright-fr" or "License-en-US").  Tags with no language code use the
 default language of "en".
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   Copyright                            N
-  0x0001   FontFamily                           N
-  0x0002   FontSubfamily                        N
-  0x0003   FontSubfamilyID                      N
-  0x0004   FontName                             N
-  0x0005   NameTableVersion                     N
-  0x0006   PostScriptFontName                   N
-  0x0007   Trademark                            N
-  0x0008   Manufacturer                         N
-  0x0009   Designer                             N
-  0x000a   Description                          N
-  0x000b   VendorURL                            N
-  0x000c   DesignerURL                          N
-  0x000d   License                              N
-  0x000e   LicenseInfoURL                       N
-  0x0010   PreferredFamily                      N
-  0x0011   PreferredSubfamily                   N
-  0x0012   CompatibleFontName                   N
-  0x0013   SampleText                           N
-  0x0014   PostScriptFontName                   N
-  0x0015   WWSFamilyName                        N
-  0x0016   WWSSubfamilyName                     N
+  0x0000   Copyright                            no
+  0x0001   FontFamily                           no
+  0x0002   FontSubfamily                        no
+  0x0003   FontSubfamilyID                      no
+  0x0004   FontName                             no
+  0x0005   NameTableVersion                     no
+  0x0006   PostScriptFontName                   no
+  0x0007   Trademark                            no
+  0x0008   Manufacturer                         no
+  0x0009   Designer                             no
+  0x000a   Description                          no
+  0x000b   VendorURL                            no
+  0x000c   DesignerURL                          no
+  0x000d   License                              no
+  0x000e   LicenseInfoURL                       no
+  0x0010   PreferredFamily                      no
+  0x0011   PreferredSubfamily                   no
+  0x0012   CompatibleFontName                   no
+  0x0013   SampleText                           no
+  0x0014   PostScriptFontName                   no
+  0x0015   WWSFamilyName                        no
+  0x0016   WWSSubfamilyName                     no
+
+=head2 VCard Tags
+
+This table lists common vCard tags, but ExifTool will also extract any other
+vCard tags found.  Tag names may have "Pref" added to indicate the preferred
+instance of a vCard property, and other "TYPE" parameters may also added to
+the tag name.  VCF files may contain multiple vCard entries which are
+distinguished by the ExifTool family 3 group name (document  number). See
+L<http://tools.ietf.org/html/rfc6350> for the vCard 4.0 specification.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'Adr'                Address                  no
+  'Anniversary'        Anniversary              no
+  'Bday'               Birthday                 no
+  'Email'              Email                    no
+  'Fn'                 FormattedName            no
+  'Gender'             Gender                   no
+  'Geo'                Geolocation              no
+  'Impp'               IMPP                     no
+  'Lang'               Language                 no
+  'Logo'               Logo                     no
+  'N'                  Name                     no
+  'Nickname'           Nickname                 no
+  'Note'               Note                     no
+  'Org'                Organization             no
+  'Photo'              Photo                    no
+  'Prodid'             Software                 no
+  'Rev'                Revision                 no
+  'Sound'              Sound                    no
+  'Tel'                Telephone                no
+  'Title'              JobTitle                 no
+  'Tz'                 TimeZone                 no
+  'Uid'                UID                      no
+  'Url'                URL                      no
+  'Version'            VCardVersion             no
+  'X-abdate'           ABDate                   no
+  'X-ablabel'          ABLabel                  no
+  'X-abrelatednames'   ABRelatedNames           no
+  'X-abuid'            AB_UID                   no
+  'X-aim'              AIM                      no
+  'X-icq'              ICQ                      no
+  'X-socialprofile'    SocialProfile            no
+
+=head3 VCard VCalendar Tags
+
+The VCard module is also used to process iCalendar ICS files since they use
+a format similar to vCard.  The following table lists standard iCalendar
+tags, but any existing tags will be extracted.  Top-level iCalendar
+components (eg. Event, Todo, Timezone, etc.) are used for the family 1 group
+names, and embedded components (eg. Alarm) are added as a prefix to the tag
+name.  See L<http://tools.ietf.org/html/rfc5545> for the official iCalendar
+2.0 specification.
+
+  Tag ID                Tag Name                Writable
+  ------                --------                --------
+  'Acknowledged'        Acknowledged            no
+  'Action'              Action                  no
+  'Attach'              Attachment              no
+  'Attendee'            Attendee                no
+  'Calscale'            CalendarScale           no
+  'Categories'          Categories              no
+  'Class'               Classification          no
+  'Comment'             Comment                 no
+  'Completed'           DateTimeCompleted       no
+  'Contact'             Contact                 no
+  'Created'             DateCreated             no
+  'Description'         Description             no
+  'Dtend'               DateTimeEnd             no
+  'Dtstamp'             DateTimeStamp           no
+  'Dtstart'             DateTimeStart           no
+  'Due'                 DateTimeDue             no
+  'Duration'            Duration                no
+  'Exdate'              ExceptionDateTimes      no
+  'Freebusy'            FreeBusyTime            no
+  'Geo'                 Geolocation             no
+  'Last-modified'       ModifyDate              no
+  'Location'            Location                no
+  'Method'              Method                  no
+  'Organizer'           Organizer               no
+  'Percent-complete'    PercentComplete         no
+  'Priority'            Priority                no
+  'Prodid'              Software                no
+  'Rdate'               RecurrenceDateTimes     no
+  'Recurrence-id'       RecurrenceID            no
+  'Related-to'          RelatedTo               no
+  'Repeat'              Repeat                  no
+  'Request-status'      RequestStatus           no
+  'Resources'           Resources               no
+  'Rrule'               RecurrenceRule          no
+  'Sequence'            SequenceNumber          no
+  'Status'              Status                  no
+  'Summary'             Summary                 no
+  'Transp'              TimeTransparency        no
+  'Trigger'             Trigger                 no
+  'Tzid'                TimezoneID              no
+  'Tzname'              TimezoneName            no
+  'Tzoffsetfrom'        TimezoneOffsetFrom      no
+  'Tzoffsetto'          TimezoneOffsetTo        no
+  'Tzurl'               TimeZoneURL             no
+  'Uid'                 UID                     no
+  'Url'                 URL                     no
+  'Version'             VCalendarVersion        no
+  'X-apple-calendar-color' CalendarColor        no
+  'X-apple-default-alarm' DefaultAlarm          no
+  'X-apple-local-default-alarm'
+                        LocalDefaultAlarm       no
+  'X-microsoft-cdo-alldayevent' AllDayEvent     no
+  'X-microsoft-cdo-appt-sequence'
+                        AppointmentSequence     no
+  'X-microsoft-cdo-busystatus' BusyStatus       no
+  'X-microsoft-cdo-importance' Importance       no
+  'X-microsoft-cdo-insttype' InstanceType       no
+  'X-microsoft-cdo-intendedstatus'
+                        IntendedBusyStatus      no
+  'X-microsoft-cdo-ownerapptid'
+                        OwnerAppointmentID      no
+  'X-microsoft-disallow-counter'
+                        DisallowCounterProposal no
+  'X-microsoft-donotforwardmeeting'
+                        DoNotForwardMeeting     no
+  'X-microsoft-locations' MeetingLocations      no
+  'X-wr-alarmuid'       AlarmUID                no
+  'X-wr-caldesc'        CalendarDescription     no
+  'X-wr-calname'        CalendarName            no
+  'X-wr-relcalid'       CalendarID              no
+  'X-wr-timezone'       TimeZone2               no
+
+=head2 Text Tags
+
+Although basic text files contain no metadata, the following tags are
+determined from a simple analysis of the data in TXT and CSV files.
+Statistics are generated only for 8-bit encodings, but the FastScan (-fast)
+option may be used to limit processing to the first 64 kB in which case some
+tags are not produced.  To avoid long processing delays, ExifTool will issue
+a minor warning and process only the first 64 kB of any file larger than 20
+MB unless the IgnoreMinorErrors (-m)
+option is used.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  ByteOrderMark                                 no
+  ColumnCount                                   no
+  Delimiter                                     no
+  LineCount                                     no
+  MIMEEncoding                                  no
+  Newlines                                      no
+  Quoting                                       no
+  RowCount                                      no
+  WordCount                                     no
 
 =head2 RSRC Tags
 
-Tags extracted from Mac OS resource files and DFONT files.  These tags may
-also be extracted from the resource fork of any file in OS X, either by
-adding "/rsrc" to the filename to process the resource fork alone, or by
-using the ExtractEmbedded (-ee) option to process the resource fork as a
-sub-document of the main file.
+Tags extracted from Mac OS resource files, DFONT files and "._" sidecar
+files.  These tags may also be extracted from the resource fork of any file
+in OS X, either by adding "/..namedfork/rsrc" to the filename to process the
+resource fork alone, or by using the ExtractEmbedded (-ee) option to process
+the resource fork as a sub-document of the main file.  When writing,
+ExifTool preserves the Mac OS resource fork by default, but it may deleted
+with C<-rsrc:all=> on the command line.
 
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
   '8BIM'               PhotoshopInfo            Photoshop
-  'STR _0xbff3'        ApplicationMissingMsg    N
-  'STR _0xbff4'        CreatorApplication       N
-  'STR#_0x0080'        Keywords                 N
-  'TEXT_0x0080'        Description              N
+  'POST_0x01f5'        PostscriptFont           PostScript
+  'STR _0xbff3'        ApplicationMissingMsg    no
+  'STR _0xbff4'        CreatorApplication       no
+  'STR#_0x0080'        Keywords                 no
+  'TEXT_0x0080'        Description              no
   'sfnt'               Font                     Font Name
-  'usro_0x0000'        OpenWithApplication      N
-  'vers_0x0001'        ApplicationVersion       N
+  'usro_0x0000'        OpenWithApplication      no
+  'vers_0x0001'        ApplicationVersion       no
 
 =head2 Rawzor Tags
@@ -20438,9 +34597,9 @@
   Tag Name                                      Writable
   --------                                      --------
-  CompressionFactor                             N
-  OriginalFileSize                              N
-  OriginalFileType                              N
-  RawzorCreatorVersion                          N
-  RawzorRequiredVersion                         N
+  CompressionFactor                             no
+  OriginalFileSize                              no
+  OriginalFileType                              no
+  RawzorCreatorVersion                          no
+  RawzorRequiredVersion                         no
 
 =head2 ZIP Tags
@@ -20448,19 +34607,21 @@
 The following tags are extracted from ZIP archives.  ExifTool also extracts
 additional meta information from compressed documents inside some ZIP-based
-files such Office Open XML (DOCX, PPTX and XLSX), Open Document (ODP, ODS
-and ODT), iWork (KEY, PAGES, NUMBERS), and Capture One Enhanced Image
-Package (EIP).  The ExifTool family 3 groups may be used to organize the
-output by embedded document number (ie. the exiftool C<-g3> option).
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    ZipRequiredVersion                   N
-      3    ZipBitFlag                           N
-      4    ZipCompression                       N
-      5    ZipModifyDate                        N
-      7    ZipCRC                               N
-      9    ZipCompressedSize                    N
-     11    ZipUncompressedSize                  N
-     15    ZipFileName                          N
+files such Office Open XML (DOCX, PPTX and XLSX), Open Document (ODB, ODC,
+ODF, ODG, ODI, ODP, ODS and ODT), iWork (KEY, PAGES, NUMBERS), Capture One
+Enhanced Image Package (EIP), Adobe InDesign Markup Language (IDML),
+Electronic Publication (EPUB), and Sketch design files (SKETCH).  The
+ExifTool family 3 groups may be used to organize ZIP tags by embedded
+document number (ie. the exiftool C<-g3> option).
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      2    ZipRequiredVersion                   no
+      3    ZipBitFlag                           no
+      4    ZipCompression                       no
+      5    ZipModifyDate                        no
+      7    ZipCRC                               no
+      9    ZipCompressedSize                    no
+     11    ZipUncompressedSize                  no
+     15    ZipFileName                          no
 
 =head3 ZIP GZIP Tags
@@ -20469,13 +34630,13 @@
 for the first file in the archive.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    Compression                          N
-      3    Flags                                N
-      4    ModifyDate                           N
-      8    ExtraFlags                           N
-      9    OperatingSystem                      N
-     10    ArchivedFileName                     N
-     11    Comment                              N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    Compression                          no
+      3    Flags                                no
+      4    ModifyDate                           no
+      8    ExtraFlags                           no
+      9    OperatingSystem                      no
+     10    ArchivedFileName                     no
+     11    Comment                              no
 
 =head3 ZIP RAR Tags
@@ -20483,12 +34644,12 @@
 These tags are extracted from RAR archive files.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    CompressedSize                       N
-      4    UncompressedSize                     N
-      8    OperatingSystem                      N
-     13    ModifyDate                           N
-     18    PackingMethod                        N
-     25    ArchivedFileName                     N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    CompressedSize                       no
+      4    UncompressedSize                     no
+      8    OperatingSystem                      no
+     13    ModifyDate                           no
+     18    PackingMethod                        no
+     25    ArchivedFileName                     no
 
 =head2 RTF Tags
@@ -20497,33 +34658,33 @@
 will also extract any non-standard tags found in this group.  As well,
 ExifTool will extract any custom properties that are found.  See
-L<http://download.microsoft.com/download/2/f/5/2f599e18-07ee-4ec5-a1e7-f4e6a9423592/Word2007RTFSpec9.doc>
-for the specification.
+L<http://www.microsoft.com/en-ca/download/details.aspx?id=10725> for the
+specification.
 
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'author'             Author                   N
-  'buptim'             BackupTime               N
-  'category'           Category                 N
-  'comment'            Comment                  N
-  'company'            Company                  N
-  'copyright'          Copyright                N
-  'creatim'            CreateDate               N
-  'doccomm'            Comments                 N
-  'edmins'             TotalEditTime            N
-  'hlinkbase'          HyperlinkBase            N
-  'id'                 InternalIDNumber         N
-  'keywords'           Keywords                 N
-  'manager'            Manager                  N
-  'nofchars'           Characters               N
-  'nofcharsws'         CharactersWithSpaces     N
-  'nofpages'           Pages                    N
-  'nofwords'           Words                    N
-  'operator'           LastModifiedBy           N
-  'printim'            LastPrinted              N
-  'revtim'             ModifyDate               N
-  'subject'            Subject                  N
-  'title'              Title                    N
-  'vern'               InternalVersionNumber    N
-  'version'            RevisionNumber           N
+  'author'             Author                   no
+  'buptim'             BackupTime               no
+  'category'           Category                 no
+  'comment'            Comment                  no
+  'company'            Company                  no
+  'copyright'          Copyright                no
+  'creatim'            CreateDate               no
+  'doccomm'            Comments                 no
+  'edmins'             TotalEditTime            no
+  'hlinkbase'          HyperlinkBase            no
+  'id'                 InternalIDNumber         no
+  'keywords'           Keywords                 no
+  'manager'            Manager                  no
+  'nofchars'           Characters               no
+  'nofcharsws'         CharactersWithSpaces     no
+  'nofpages'           Pages                    no
+  'nofwords'           Words                    no
+  'operator'           LastModifiedBy           no
+  'printim'            LastPrinted              no
+  'revtim'             ModifyDate               no
+  'subject'            Subject                  no
+  'title'              Title                    no
+  'vern'               InternalVersionNumber    no
+  'version'            RevisionNumber           no
 
 =head2 OOXML Tags
